<!DOCTYPE html>
<html>
  <head>
    <title>Tareas</title>
  </head>
  <body>
    <label>Ingrese tarea</label>
    <input id="nombreTarea" />
    <button onclick="agregarTarea()">Agregar</button>

    <ul id="listaTareas">
    </ul>

    <script>
      const nombreTarea = document.getElementById('nombreTarea')
      const listaTareas = document.getElementById('listaTareas')

      async function leerApi() {
        listaTareas.innerHTML = ''
        const response = await fetch('http://93.188.164.159:3000/tareas')
        const tareas = await response.json()
        
        tareas.map((tarea) => {
          const tarea_li = document.createElement('li')

          const tarea_span = document.createElement('span')
          tarea_span.innerHTML = tarea.nombre

          const boton = document.createElement('button')
          boton.innerHTML = 'x'
          boton.onclick = async () => {
            // Pedir a la API que elimine la tarea
            console.log('Eliminando: ' + tarea.id + ' ' + tarea.nombre)
            const response = await fetch('http://93.188.164.159:3000/tareas/' + tarea.id, {
              method: 'DELETE'
            })

            if (response.ok) {
              console.log('Eliminado: ' + tarea.id + ' ' + tarea.nombre)
              tarea_li.remove()
            } else {
              console.log('No se pudo eliminar la tarea: ' + tarea.id + ' ' + tarea.nombre)
            }
          }

          tarea_li.appendChild(tarea_span)
          tarea_li.appendChild(boton)

          listaTareas.appendChild(tarea_li)
        })
      }

      async function agregarTarea() {
        const response = await fetch('http://93.188.164.159:3000/tareas', {
          method: 'POST',
          headers: {
            'Content-Type': 'application/json'
          },
          body: JSON.stringify({
            nombre: nombreTarea.value,
            tareaLista: false
          })
        })
        if (response.ok) {
          leerApi()
        } else {
          alert('Error al agregar una tarea')
        }
      }

      leerApi()
    </script>
  </body>
</html>
